
Figure - Bug #118625
【AF】【EVT3】概率出现，依次打开设备所有已安装应用后，出现1次quickstep没有响应
2023-06-07 19:49 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-06-07

Priority: High Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104(X104).202306071130

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-06-17

Test Type: Release Test Root cause:

Description

【测试步骤】

设备下载安装了50个应用（含系统应用）

1.在桌面上依次打开所有已安装应用

【预期结果】

每个应用都可正常打开

【测试结果】

所有应用都打开后再次打开所有应用，出现打开应用慢 然后出现1次quickstep没有响应

备注：日志超过50M 已私发研发

History

#1 - 2023-06-08 15:24 - CD APP-王营

- Category changed from CD-FW to CD-APP

【分析】

Launcher发生ANR之前 system_server发生多次ANR，Log如下：

    Line 410889: 06-07 18:00:48.821  1594 13002 E ActivityManager: ANR in com.tencent.mobileqq:MSF

    Line 442827: 06-07 18:01:17.946  1594  1864 I WindowManager: ANR in ActivityRecord{34d3182 u0 com.netease.cloudmusic/.activity.IconChangeDefaultAlias

taskAffinity=10081:com.netease.cloudmusic t20251}.  Reason: Application does not have a focused window

    Line 455462: 06-07 18:01:28.975  1594  1864 I WindowManager: ANR in ActivityRecord{34d3182 u0 com.netease.cloudmusic/.activity.IconChangeDefaultAlias

taskAffinity=10081:com.netease.cloudmusic t20251}.  Reason: Application does not have a focused window

    Line 477074: 06-07 18:01:47.710  1594  1864 I WindowManager: ANR in ActivityRecord{34d3182 u0 com.netease.cloudmusic/.activity.IconChangeDefaultAlias

taskAffinity=10081:com.netease.cloudmusic t20251}.  Reason: Application does not have a focused window

    Line 479657: 06-07 18:01:50.030  1594 19088 E ActivityManager: ANR in com.netease.cloudmusic (com.netease.cloudmusic/.activity.IconChangeDefaultAlias)

    Line 489093: 06-07 18:01:58.875  1594  1864 I WindowManager: ANR in ActivityRecord{34d3182 u0 com.netease.cloudmusic/.activity.IconChangeDefaultAlias

taskAffinity=10081:com.netease.cloudmusic t20251}.  Reason: Application does not have a focused window

    Line 512231: 06-07 18:02:20.943  1594 27226 E ActivityManager: ANR in com.netease.cloudmusic (com.netease.cloudmusic/.activity.IconChangeDefaultAlias)

    Line 527364: 06-07 18:02:35.787  1594  1864 I WindowManager: ANR in ActivityRecord{34d3182 u0 com.netease.cloudmusic/.activity.IconChangeDefaultAlias

taskAffinity=10081:com.netease.cloudmusic t20251}.  Reason: Application does not have a focused window

    Line 551495: 06-07 18:02:58.170  1594  4974 E ActivityManager: ANR in com.netease.cloudmusic (com.netease.cloudmusic/.activity.IconChangeDefaultAlias)

    Line 641355: 06-07 18:05:05.178  1594  1864 I WindowManager: ANR in com.ss.android.lark/com.ss.android.lark.guide.landing.general.ui.GuidePageActivity.

Reason:3f6616d com.ss.android.lark/com.ss.android.lark.guide.landing.general.ui.GuidePageActivity (server) is not responding. Waited 5001ms for

MotionEvent(deviceId=4, eventTime=4607366870000, source=0x00005002, displayId=0, action=DOWN, actionButton=0x00000000, flags=0x00000000,

metaState=0x00000000, buttonState=0x00000000, classification=NONE, edgeFlags=0x00000000, xPrecision=1.0, yPrecision=1.0, xCursorPosition=nan,
yCursorPosition=nan, pointers=[0: (1252.0, 854.0)]), policyFlags=0x62000000

    Line 641495: 06-07 18:05:05.416  1594  1864 I WindowManager: ANR in gesture monitor owned by pid:2622.  Reason: swipe-up (server) is not responding. Waited

9859ms for MotionEvent(deviceId=4, eventTime=4610463362000, source=0x00005002, displayId=0, action=DOWN, actionButton=0x00000000, flags=0x00000000,

metaState=0x00000000, buttonState=0x00000000, classification=NONE, edgeFlags=0x00000000, xPrecision=1.0, yPrecision=1.0, xCursorPosition=nan,

yCursorPosition=nan, pointers=[0: (2450.0, 817.0)]), policyFlags=0x62000000

    Line 653577: 06-07 18:05:26.296  1594 24279 E ActivityManager: ANR in com.ss.android.lark (com.ss.android.lark/.guide.landing.general.ui.GuidePageActivity)

    Line 664174: 06-07 18:05:49.967  1594 24279 E ActivityManager: ANR in com.android.launcher3

    Line 665034: 06-07 18:05:52.517  1594 24279 E ActivityManager: ANR in com.anjuke.android.app

    Line 693351: 06-07 18:06:57.775  1594 29266 E ActivityManager: ANR in com.ss.android.lark

查看CPU占用情况，占用率很高

【下一步】

结合当前卡顿问题继续分析，此问题应该不单纯是Launcher问题，和系统性能有关。

#2 - 2023-06-09 14:11 - CD APP-王营

- Status changed from New to ASSIGNED

#3 - 2023-06-17 11:17 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-17

Hi 唐霞

关于系统卡顿已经内存优化的版本已经入库，包括以下两个方面：

1、限制后台三方应用最大运行数量3个。

2、hht_ota_mgr应用selinux权限修改。

请在最新版本上跟踪此问题是否继续出现。

#4 - 2023-06-26 18:24 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证50次，无法复现关闭问题单

#5 - 2023-06-26 18:25 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
